Schedule a snooze for the rule

Base URL
https://{kibana_url}
  • POST /api/alerting/rule/{id}/snooze_schedule
Auth

When you snooze a rule, the rule checks continue to run but alerts will not generate actions. You can snooze for a specified period of time and schedule single or recurring downtimes.

Path parameters

id string required

Identifier of the rule.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

schedule object required

Responses

Indicates a successful call.

application/json
body object required
schedule object required
custom object
Same fields as custom in schedule
id string required

Identifier of the snooze schedule.

400

Indicates an invalid schema.

403

Indicates that this call is forbidden.

404

Indicates a rule with the given id does not exist.

Base URL
https://{kibana_url}